Subject: Shadow file problem???

From: Mike Richman <[email-masked]>
Date: Sat, 24 Aug 1996 16:48:51 -0500 (CDT)

A followup on my problem trying to get real ftp transfers to work
on Solaris 2.5.1 on an Ultra 2.  The anonymous login works, but
real ones do not.  Someone kindly pointed me to the FAQ file which
said the following:

+ 2. Anonymous ftp works fine, but real users are denied access 
+ 
+     Check the following :
+ 
+     o Their shell is in the /etc/shells file. Note : AIX doesn't even
+       have this file, so you need to create it for wu-ftpd. 
+ 
+     o Or, for AIX: get the patch from
+ 
+       tigger.itc.virginia.edu:/pub/AIX/wu-ftpd.diffs.txt.gz which
+       gets the shells list 'the AIX way'. 
+ 
+     o If you're using shadow passwords : make sure the daemon is
+       compiled with shadow password support. 

The first is fine, as I touched a file to create /etc/shells and filled
it with 6 different absolute paths to the most common shells.  The second
point should not apply to Solaris, so I am hoping it is the third one.  
But the only reference to the word shadow in wu-ftpd-2.4 is in the file
/src/ftp.c  It is *not* commented out, so should be working.  Is there
something obvious I am missing?

Mike Richman
[email-masked]